import { DateObjectUnits, DateTime, InfoUnitOptions, StringUnitLength } from 'luxon';
import './shared.sass';
export interface UseDatetime {
    datetime?: DateTime;
    setDatetime?: (dt: DateTime) => any;
    onSet?: () => void;
}
export interface OnClickOut {
    onClickOut: () => void;
}
export { default as DateTimePicker } from './DateTimePicker';
export declare function sundayFirstWeekdays(length?: StringUnitLength, options?: InfoUnitOptions): string[];
export declare function daysInMonthArray(dt: DateTime): number[];
export declare function firstDayOffset(dt: DateTime): number;
export declare function calDaysChunks(dt: DateTime): DateObjectUnits[][];
